class CreateExpenses < ActiveRecord::Migration[5.2]
  def change
    create_table :expenses do |t|
      t.references :project
      t.text :expense_identifier
      t.date :date_expensed
      t.decimal :amount, precision: 12, scale: 2
      t.text :description
      t.references :created_by
      t.references :updated_by

      t.timestamps
    end
  end
end
