ActiveSupport::Reloader.to_prepare do
  unless IssuesController.included_modules.include?(RedmineCostAdmin::IssuesControllerPatch)
    IssuesController.send(:include, RedmineCostAdmin::IssuesControllerPatch)
  end
end

require_dependency "issues_controller"

module RedmineCostAdmin
  module IssuesControllerPatch
    def self.included(base) # :nodoc:
      base.send(:include, InstanceMethods)
      base.include(ClassMethods)

      base.class_eval do
        unloadable
        helper :contracts
      end
    end

    module InstanceMethods
    end

    module ClassMethods
    end
  end
end
