ActiveSupport::Reloader.to_prepare do
  unless UsersController.included_modules.include?(RedmineCostAdmin::UsersControllerPatch)
    UsersController.send(:include, RedmineCostAdmin::UsersControllerPatch)
  end
end

require_dependency "users_controller"

module RedmineCostAdmin
  module UsersControllerPatch
    def self.included(base) # :nodoc:
      base.send(:include, InstanceMethods)
      base.include(ClassMethods)

      base.class_eval do
        unloadable
        helper :contracts
      end
    end

    module InstanceMethods
    end

    module ClassMethods
    end
  end
end
