# Plugin's routes
# See: http://guides.rubyonrails.org/routing.html
resources :users do
  resources :contracts, :controller => "user_contracts"
end
resources :entities, :controller => "entities"
resources :contracts, :controller => "contracts"

resources :projects do
  resources :expenses, :controller => "expenses"
  resources :budgets, :controller => "budgets"
end
resources :expenses, :controller => "expenses"
resources :budgets, :controller => "budgets"

get "cost_admin", :to => "cost_admin#index"
get "/contracts/imports/new", :to => "imports#new", :defaults => { :type => "ContractImport" }, :as => "new_contracts_import"
