class CreateBudgets < ActiveRecord::Migration[5.2]
  def change
    create_table :budgets do |t|
      t.references :project
      t.text :budget_identifier
      t.date :date_valid_from
      t.date :date_valid_to
      t.decimal :amount, precision: 12, scale: 2
      t.text :description
      t.references :created_by
      t.references :updated_by

      t.timestamps
    end
  end
end
